<?xml version="1.0" encoding="UTF-8"?>
<Workflow xmlns="http://soap.sforce.com/2006/04/metadata">
    <alerts>
        <fullName>Amdocs_Token_Failure</fullName>
        <description>Amdocs Token Failure</description>
        <protected>false</protected>
        <recipients>
            <recipient>EchoStarSystemAdministrator</recipient>
            <type>role</type>
        </recipients>
        <recipients>
            <recipient>Offshore</recipient>
            <type>role</type>
        </recipients>
        <recipients>
            <recipient>bradley.clawson@dish.com</recipient>
            <type>user</type>
        </recipients>
        <recipients>
            <recipient>jerry.clifft@dish.com</recipient>
            <type>user</type>
        </recipients>
        <recipients>
            <recipient>john.duong@dish.com</recipient>
            <type>user</type>
        </recipients>
        <senderType>CurrentUser</senderType>
        <template>System/Amdocs_Token_Failure</template>
    </alerts>
    <fieldUpdates>
        <fullName>RefreshTokenNow_True</fullName>
        <field>RefreshTokenNow__c</field>
        <literalValue>1</literalValue>
        <name>RefreshTokenNow = True</name>
        <notifyAssignee>false</notifyAssignee>
        <operation>Literal</operation>
        <protected>false</protected>
        <reevaluateOnChange>true</reevaluateOnChange>
    </fieldUpdates>
    <rules>
        <fullName>Amdocs Token Failure</fullName>
        <actions>
            <name>Amdocs_Token_Failure</name>
            <type>Alert</type>
        </actions>
        <active>true</active>
        <criteriaItems>
            <field>AmDocs_Login__c.UXF_Token__c</field>
            <operation>notContain</operation>
            <value>UXF</value>
        </criteriaItems>
        <criteriaItems>
            <field>AmDocs_Login__c.Name</field>
            <operation>notContain</operation>
            <value>Start</value>
        </criteriaItems>
        <triggerType>onAllChanges</triggerType>
    </rules>
    <rules>
        <fullName>Get New Token</fullName>
        <active>true</active>
        <criteriaItems>
            <field>AmDocs_Login__c.CreatedDate</field>
            <operation>equals</operation>
            <value>TODAY</value>
        </criteriaItems>
        <triggerType>onCreateOnly</triggerType>
        <workflowTimeTriggers>
            <actions>
                <name>RefreshTokenNow_True</name>
                <type>FieldUpdate</type>
            </actions>
            <offsetFromField>AmDocs_Login__c.Created_Time__c</offsetFromField>
            <timeLength>1</timeLength>
            <workflowTimeTriggerUnit>Hours</workflowTimeTriggerUnit>
        </workflowTimeTriggers>
    </rules>
</Workflow>
